using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Net.Mail;

public partial class usercontrols_ContactMe : System.Web.UI.UserControl, IWebPart
{
    private string _catalogIconImageUrl;
    private string titleIconImageUrl;
    private string titleUrl;
    private string description;

    protected void btnSend_Click(object sender, EventArgs e)
    {
        string mailFrom = ConfigurationManager.AppSettings["mailFrom"];
        string smtpServer = ConfigurationManager.AppSettings["smtpServer"];
        string mailTo = ConfigurationManager.AppSettings["mailTo"];
        MailMessage msg = new MailMessage(mailFrom, mailTo, txtSubject.Text, txtMessage.Text);
        msg.ReplyTo = new MailAddress(txtEmail.Text, txtName.Text);
        SmtpClient smtp = new SmtpClient();
        smtp.Host = smtpServer;
        smtp.Send(msg);
    }

    #region IWebPart Members

    public string CatalogIconImageUrl
    {
        get
        {
            return _catalogIconImageUrl;
        }
        set
        {
            _catalogIconImageUrl = value;
        }
    }

    public string Description
    {
        get
        {
            return description;
        }
        set
        {
            description = value;
        }
    }

    public string Subtitle
    {
        get { return "Contact Me Form"; }
    }

    public string Title
    {
        get
        {
            if (ViewState["Title"] == null)
                return string.Empty;
            else
                return (string)ViewState["Title"];
        }
        set
        {
            ViewState["Title"] = value;
        }
    }

    public string TitleIconImageUrl
    {
        get
        {
            return titleIconImageUrl;
        }
        set
        {
            titleIconImageUrl = value;
        }
    }
    
    public string TitleUrl
    {
        get
        {
            return titleUrl;
        }
        set
        {
            titleUrl = value;
        }
    }
    #endregion
}