using System;
using System.Collections.Generic;
using System.Text;
using System.Xml ;

namespace Winsmarts.RSSRender
{
    internal class RssFeed : List<RssItem>
    {
        private XmlDocument rssDoc;	

        internal RssFeed(string RssURL)
        {
            try
            {
                rssDoc = new XmlDocument();
                XmlTextReader xRead = new XmlTextReader(RssURL);
                rssDoc.Load(xRead);

                XmlNodeList xNodes = rssDoc.SelectNodes("./rss/channel/item");

                foreach (XmlNode xNode in xNodes)
                {
                    this.Add(new RssItem(xNode)) ;
                }
            }
            catch (Exception)
            {
                this.Add(new RssItem()) ;
            }
        }
    }
}